MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Matrix4d> Represents a 4x4 Matrix with double-precision components. To be added.
- Constructor
  0.0.0.0
  Top row of the matrix
  Second row of the matrix
  Third row of the matrix
  Bottom row of the matrix
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  First item of the first row.
  Second item of the first row.
  Third item of the first row.
  Fourth item of the first row.
  First item of the second row.
  Second item of the second row.
  Third item of the second row.
  Fourth item of the second row.
  First item of the third row.
  Second item of the third row.
  Third item of the third row.
  First item of the third row.
  Fourth item of the fourth row.
  Second item of the fourth row.
  Third item of the fourth row.
  Fourth item of the fourth row.
  Constructs a new instance.
  To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector4d The first column of this matrix To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector4d The second column of this matrix To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector4d The third column of this matrix To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector4d The fourth column of this matrix To be added. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` The axis to rotate about. Angle in radians to rotate counter-clockwise (looking in the direction of the given axis). Build a rotation matrix from the specified axis/angle rotation. A matrix instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The axis to rotate about. Angle in radians to rotate counter-clockwise (looking in the direction of the given axis). A matrix instance. Build a rotation matrix from the specified axis/angle rotation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` The width of the projection volume. The height of the projection volume. The near edge of the projection volume. The far edge of the projection volume. Creates an orthographic projection matrix. To be added. To be added. The resulting Matrix4d instance.
- Method
  0.0.0.0
  System.Void `` `` `` `` `` The width of the projection volume. The height of the projection volume. The near edge of the projection volume. The far edge of the projection volume. The resulting Matrix4d instance. Creates an orthographic projection matrix. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` `` `` The left edge of the projection volume. The right edge of the projection volume. The bottom edge of the projection volume. The top edge of the projection volume. The near edge of the projection volume. The far edge of the projection volume. Creates an orthographic projection matrix. The resulting Matrix4d instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` `` `` `` The left edge of the projection volume. The right edge of the projection volume. The bottom edge of the projection volume. The top edge of the projection volume. The near edge of the projection volume. The far edge of the projection volume. The resulting Matrix4d instance. Creates an orthographic projection matrix. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` Angle of the field of view in the y direction (in radians) Aspect ratio of the view (width / height) Distance to the near clip plane Distance to the far clip plane Creates a perspective projection matrix. A projection matrix that transforms camera space to raster space To be added. Thrown under the following conditions: fovy is zero, less than zero or larger than Math.PI aspect is negative or zero zNear is negative or zero zFar is negative or zero zNear is larger than zFar
- Method
  0.0.0.0
  System.Void `` `` `` `` `` Angle of the field of view in the y direction (in radians) Aspect ratio of the view (width / height) Distance to the near clip plane Distance to the far clip plane A projection matrix that transforms camera space to raster space Creates a perspective projection matrix. To be added. Thrown under the following conditions: fovy is zero, less than zero or larger than Math.PI aspect is negative or zero zNear is negative or zero zFar is negative or zero zNear is larger than zFar
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` `` `` Left edge of the view frustum Right edge of the view frustum Bottom edge of the view frustum Top edge of the view frustum Distance to the near clip plane Distance to the far clip plane Creates an perspective projection matrix. A projection matrix that transforms camera space to raster space To be added. Thrown under the following conditions: zNear is negative or zero zFar is negative or zero zNear is larger than zFar
- Method
  0.0.0.0
  System.Void `` `` `` `` `` `` `` Left edge of the view frustum Right edge of the view frustum Bottom edge of the view frustum Top edge of the view frustum Distance to the near clip plane Distance to the far clip plane A projection matrix that transforms camera space to raster space Creates an perspective projection matrix. To be added. Thrown under the following conditions: zNear is negative or zero zFar is negative or zero zNear is larger than zFar
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The counter-clockwise angle in radians. Builds a rotation matrix for a rotation around the x-axis. The resulting Matrix4 instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` The counter-clockwise angle in radians. The resulting Matrix4 instance. Builds a rotation matrix for a rotation around the x-axis. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The counter-clockwise angle in radians. Builds a rotation matrix for a rotation around the y-axis. The resulting Matrix4 instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` The counter-clockwise angle in radians. The resulting Matrix4 instance. Builds a rotation matrix for a rotation around the y-axis. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The counter-clockwise angle in radians. Builds a rotation matrix for a rotation around the z-axis. The resulting Matrix4 instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` The counter-clockwise angle in radians. The resulting Matrix4 instance. Builds a rotation matrix for a rotation around the z-axis. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The translation vector. Creates a translation matrix. The resulting Matrix4d instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` The translation vector. The resulting Matrix4d instance. Creates a translation matrix. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` X translation. Y translation. Z translation. Creates a translation matrix. The resulting Matrix4d instance. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` X translation. Y translation. Z translation. The resulting Matrix4d instance. Creates a translation matrix. To be added.
- Property
  0.0.0.0
  System.Double The determinant of this matrix To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` An matrix to compare with this matrix. Indicates whether the current matrix is equal to another matrix. true if the current matrix is equal to the matrix parameter; otherwise, false. To be added.
- Method
  0.0.0.0
  System.Boolean `` The object to compare to. Indicates whether this instance and a specified object are equal. True if the instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` `` `` Left edge of the view frustum Right edge of the view frustum Bottom edge of the view frustum Top edge of the view frustum Distance to the near clip plane Distance to the far clip plane Build a projection matrix A projection matrix that transforms camera space to raster space To be added.
- Method
  0.0.0.0
  System.Int32 Returns the hashcode for this instance. A System.Int32 containing the unique hashcode for this instance. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Matrix4d The identity matrix To be added.
- Method
  0.0.0.0
  System.Void Converts this instance into its inverse. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The matrix to invert Calculate the inverse of the given matrix The inverse of the given matrix if it has one, or the input if it is singular To be added. Thrown if the Matrix4d is singular.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` Eye (camera) position in world space Target position in world space Up vector in world space (should not be parallel to the camera direction, that is target - eye) Build a world space to camera space matrix A Matrix that transforms world space to camera space To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` `` `` `` `` `` Eye (camera) position in world space Eye (camera) position in world space Eye (camera) position in world space Target position in world space Target position in world space Target position in world space Up vector in world space (should not be parallel to the camera direction, that is target - eye) Up vector in world space (should not be parallel to the camera direction, that is target - eye) Up vector in world space (should not be parallel to the camera direction, that is target - eye) Build a world space to camera space matrix A Matrix4 that transforms world space to camera space To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 1, column 1 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 1, column 2 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 1, column 3 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 1, column 4 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 2, column 1 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 2, column 2 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 2, column 3 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 2, column 4 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 3, column 1 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 3, column 2 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 3, column 3 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 3, column 4 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 4, column 1 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 4, column 2 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 4, column 3 of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the value at row 4, column 4 of this instance. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` The left operand of the multiplication. The right operand of the multiplication. Multiplies two instances. A new instance that is the result of the multiplication To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The left operand of the multiplication. The right operand of the multiplication. A new instance that is the result of the multiplication Multiplies two instances. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for equality. True, if left equals right; false otherwise. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for inequality. True, if left does not equal right; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` left-hand operand right-hand operand Matrix multiplication A new Matrix44 which holds the result of the multiplication To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` `` Angle of the field of view in the y direction (in radians) Aspect ratio of the view (width / height) Distance to the near clip plane Distance to the far clip plane Build a projection matrix A projection matrix that transforms camera space to raster space To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` the quaternion Build a rotation matrix from a quaternion A rotation matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` the axis to rotate about angle in radians to rotate counter-clockwise (looking in the direction of the given axis) Build a rotation matrix to rotate about the given axis A rotation matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` angle in radians to rotate counter-clockwise around the x-axis Build a rotation matrix that rotates about the x-axis A rotation matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` angle in radians to rotate counter-clockwise around the y-axis Build a rotation matrix that rotates about the y-axis A rotation matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` angle in radians to rotate counter-clockwise around the z-axis Build a rotation matrix that rotates about the z-axis A rotation matrix To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector4d Top row of the matrix To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector4d 2nd row of the matrix To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector4d 3rd row of the matrix To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector4d Bottom row of the matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` Scale factors for x,y and z axes Build a scaling matrix A scaling matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` Single scale factor for x,y and z axes Build a scaling matrix A scaling matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` `` `` Scale factor for x-axis Scale factor for y-axis Scale factor for z-axis Build a scaling matrix A scaling matrix To be added.
- Method
  0.0.0.0
  System.String Returns a System.String that represents the current Matrix44. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use CreateTranslation instead.")
  MonoMac.OpenGL.Matrix4d `` The vector to translate along Build a translation matrix with the given translation A Translation matrix To be added.
- Method
  0.0.0.0
  System.Obsolete("Use CreateTranslation instead.")
  MonoMac.OpenGL.Matrix4d `` `` `` X translation Y translation Z translation Build a translation matrix with the given translation A Translation matrix To be added.
- Method
  0.0.0.0
  System.Void Converts this instance into its transpose. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Matrix4d `` The matrix to transpose Calculate the transpose of the given matrix The transpose of the given matrix To be added.
- Method
  0.0.0.0
  System.Void `` `` The matrix to transpose The result of the calculation Calculate the transpose of the given matrix To be added.